FORMAX DEVELOPER API
  1. Bill Payment API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
      POST
    • Biller List
      POST
    • Bill Fetch
      POST
    • Bill Payment
      POST
    • Transaction Status
      POST
  • Bill Payment V4 API
    • Get All Billers
      GET
    • Get by Category
      GET
    • Get by Biller ID
      GET
    • Bill Fetch
      POST
    • Bill Validation
      POST
    • Bill Payment
      POST
    • Bill Payment Callback
    • Complaint Registration
      POST
    • Complaint Status
      POST
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • BC Money Transfer
    • Bank List
    • Search Remitter
    • Remitter Registration
    • Remitter Registration Verify
    • Remitter E-KYC
    • Transaction Send OTP
    • Transaction
    • Transaction Status
    • Transaction Refund OTP
    • Transaction Refund
  • UPI Cash Point
    • Generate QR
    • QR Status
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
    • Bank Account Verification
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  • AEPS
    • Bank List
    • Agent Registration
    • Agent E-KYC Status
    • Agent E-KYC
    • Two Factor Auth Status
    • Two Factor Auth
  1. Bill Payment API

Bill Fetch

POST
https://api.formaxpay.com/api/bbps/v3/bill_fetch
This API is used to fetch the bill details for a selected BBPS operator/biller before making a payment. It returns the payable amount, due date, customer details, and payment eligibility.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.formaxpay.com/api/bbps/v3/bill_fetch' \
--header 'Authorization: Basic aXlrdmN4TTNVRjJoNmFwREJncWhGWFRDaUxMZ0hPVVk6cE9rZCE7ZGNVUjU3MDFjOw==' \
--header 'Content-Type: application/json' \
--data '{
    "operator_id": "942",
    "params": [
        {
            "payment_id": "cn",
            "value": "153079219"
        },
        {
            "payment_id": "ad1",
            "value": "9836114520"
        }
    ],
    "p_order_id": "R17836721270097812",
    "provider": "NEW_MBK"
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "Bill Fetched Successfully",
    "data": {
        "bill": {
            "bill_amount": "0.0",
            "bill_net_amount": "0.0",
            "bill_date": "03 Dec 2025",
            "due_date": "2025-12-13",
            "accept_payment": true,
            "accept_part_pay": true,
            "customer_name": "NA",
            "customer_ref_id": "7011816100"
        },
        "order_id": "BE16284179687500SXCJW",
        "partner_order_id": "R9174541626606001",
        "timestamp": "2025-12-23 17:4:41"
    }
}
Modified at 2026-07-30 16:02:03
Previous
Biller List
Next
Bill Payment
Built with